Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32847/?format=api
{ "ob_id": 32847, "uuid": "b98db73607354c7b8ba9bc9347ceb9ed", "title": "ESA Sea Level Climate Change Initiative (Sea_level_cci): Arctic Sea Level Anomalies from ENVISAT and SARAL/Altika satellite altimetry missions (by CLS/PML)", "abstract": "This dataset contains estimations of Arctic sea level anomalies produced by the ESA Sea Level Climate Change Initiative project (Sea_level_cci), based on satellite altimetry from the ENVISAT and SARAL/Altika satellites. It has been produced by Collecte Localisation Satellites (CLS) and the Plymouth Marine Laboratory (PML).\r\n\r\nThe retrieval of sea level in the Arctic sea ice covered region requires specific processing steps of the satellite altimetry measurements. For this dataset, a specific radar waveform classification method has been applied based on a neural network approach, and the waveform retracking is based on a new adaptive retracking that is able to process both open ocean and peaky echoes measured in leads without introducing any bias between the two types of surfaces. Editing and mapping processing steps have been optimized for this dataset", "keywords": "ESA, CCI, Sea level", "publicationState": "published", "dataPublishedTime": "2021-12-16T09:45:03", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33433/?format=api", "dataPath": "/neodc/esacci/sea_level/data/Arctic_MSLA/20161024/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 571964358, "numberOfFiles": 3715, "fileFormat": "Data are in NetCDF format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9181/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2911/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67730/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67731/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67732/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67733/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67734/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67735/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67736/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/67737/?format=api" ], "dataLineage": "The dataset has been produced by the Sea Level project of the ESA Climate Change Initiative programme. It has been supplied to CEDA for archiving in the context of the CCI Open Data Portal.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13331/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12684/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146717/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146718/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146719/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146720/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146721/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146722/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149269/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149270/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/33436/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2584/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_sealevel_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }